using UnityEngine;
using System.Collections;

public class gravitas : MonoBehaviour {

	public float gravStr = 100.0f;

	void OnMouseEnter(){
		gravStr = 20.0f;
		transform.localScale = new Vector3 (10.0f, 10.0f, 10.0f);
	}
	void OnMouseExit(){
		gravStr = 40.0f;
		transform.localScale = new Vector3 (4.0f, 4.0f, 4.0f);
	}

	void OnTriggerStay(Collider col){

		if (col.gameObject.tag != "gravity") {
						col.transform.LookAt (this.gameObject.transform.position);
						col.rigidbody.AddForce (col.transform.forward * gravStr);
				}
	}

	// Use this for initialization
	void Start () {
	
	}
	
	// Update is called once per frame
	void Update () {
	
	}
}
